API Keys - Consumers
A Consumer is an object representing a group of API keys in a given bucket. This section includes a group of endpoints available to perform CRUD operations on a consumer. You can learn more about consumers here.
Lists consumers
Lists all consumers belonging to this account.
path Parameters
accountNameThe name of the account. You can find this in your Zuplo Portal under Settings > Project Information.
bucketNameThe name of the bucket. Zuplo automatically creates a bucket for your project. You can find it in youe Zuplo Portal under Settings > Project Information.
query Parameters
limitThe maximum number of entries to return. If the value exceeds the maximum, then the maximum value will be used. Default: 1000
offsetThe offset of the first item returned in the collection. Default: 0
include-api-keysInclude the api key data in the response.
include-manager-invitesInclude the manager invites data in the response.
include-managersInclude the manager's data in the response.
key-formatThe format of the key to return.
none: Key is completely hidden.
visible: Key is completely visible.
masked: Part of key suffix is visible.
manager-emailFilter by email address of key manager.
tagQuery by tag. Example usage is tag.account=foo, where account is the name of the tag property and foo is the value.
Lists consumers › Responses
The request has succeeded.
limitoffsettotalCreates a consumer
Creates a new consumer for this account.
path Parameters
accountNameThe name of the account. You can find this in your Zuplo Portal under Settings > Project Information.
bucketNameThe name of the bucket. Zuplo automatically creates a bucket for your project. You can find it in youe Zuplo Portal under Settings > Project Information.
query Parameters
with-api-keyIf an API key should be created with the consumer.
Creates a consumer › Request Body
name^[a-z0-9-]{1,128}$ · requiredA friendly name for the consumer. This name is used as the default user.sub property in the API Key Authentication policy.
Email addresses of the managers to invite or a list of managers (with subs) to add to the consumer.
descriptionA description of the consumer.
Key value pairs to associate with the consumer.
Generic metadata associated with the consumer.
Creates a consumer › Responses
The request has succeeded.
createdOnWhen the item was created.
updatedOnWhen the item was last updated.
idname^[a-z0-9-]{1,128}$ · requiredA friendly name for the consumer. This name is used as the default user.sub property in the API Key Authentication policy.
descriptionA description of the consumer.
Key value pairs to associate with the consumer.
Generic metadata associated with the consumer.
Gets a consumer
Gets a consumer given a bucket name and the consumer's name or ID.
path Parameters
accountNameThe name of the account. You can find this in your Zuplo Portal under Settings > Project Information.
bucketNameThe name of the bucket. Zuplo automatically creates a bucket for your project. You can find it in youe Zuplo Portal under Settings > Project Information.
consumerNameThe name or ID of the consumer. Prefer the consumer's immutable id (for example csmr_brw0leTAVw478VFKD4F6OqVI); the name (for example zup-inc) remains accepted for compatibility. Within the bucket, a consumer whose name matches the value wins; otherwise the value is treated as a consumer ID. Consumer IDs are case-sensitive.
query Parameters
include-api-keysInclude the api key data in the response.
key-formatThe format of the key to return.
none: Key is completely hidden.
visible: Key is completely visible.
masked: Part of key suffix is visible.
include-managersInclude the manager's data in the response.
include-manager-invitesInclude the manager invites data in the response.
tagQuery by tag. Example usage is tag.account=foo, where account is the name of the tag property and foo is the value.
Gets a consumer › Responses
The request has succeeded.
createdOnWhen the item was created.
updatedOnWhen the item was last updated.
idname^[a-z0-9-]{1,128}$ · requiredA friendly name for the consumer. This name is used as the default user.sub property in the API Key Authentication policy.
descriptionA description of the consumer.
Key value pairs to associate with the consumer.
Generic metadata associated with the consumer.
Updates a consumer
Update the consumer with the matching consumer name or ID.
path Parameters
accountNameThe name of the account. You can find this in your Zuplo Portal under Settings > Project Information.
bucketNameThe name of the bucket. Zuplo automatically creates a bucket for your project. You can find it in youe Zuplo Portal under Settings > Project Information.
consumerNameThe name or ID of the consumer. Prefer the consumer's immutable id (for example csmr_brw0leTAVw478VFKD4F6OqVI); the name (for example zup-inc) remains accepted for compatibility. Within the bucket, a consumer whose name matches the value wins; otherwise the value is treated as a consumer ID. Consumer IDs are case-sensitive.
query Parameters
tagQuery by tag. Example usage is tag.account=foo, where account is the name of the tag property and foo is the value.
Updates a consumer › Request Body
descriptionA description of the consumer.
Key value pairs to associate with the consumer.
Generic metadata associated with the consumer.
Updates a consumer › Responses
The request has succeeded.
createdOnWhen the item was created.
updatedOnWhen the item was last updated.
idname^[a-z0-9-]{1,128}$ · requiredA friendly name for the consumer. This name is used as the default user.sub property in the API Key Authentication policy.
descriptionA description of the consumer.
Key value pairs to associate with the consumer.
Generic metadata associated with the consumer.
Deletes a consumer
Deletes the consumer with the matching name or ID, and any related resources.
path Parameters
accountNameThe name of the account. You can find this in your Zuplo Portal under Settings > Project Information.
bucketNameThe name of the bucket. Zuplo automatically creates a bucket for your project. You can find it in youe Zuplo Portal under Settings > Project Information.
consumerNameThe name or ID of the consumer. Prefer the consumer's immutable id (for example csmr_brw0leTAVw478VFKD4F6OqVI); the name (for example zup-inc) remains accepted for compatibility. Within the bucket, a consumer whose name matches the value wins; otherwise the value is treated as a consumer ID. Consumer IDs are case-sensitive.
query Parameters
tagQuery by tag. Example usage is tag.account=foo, where account is the name of the tag property and foo is the value.
Deletes a consumer › Responses
There is no content to send for this request, but the headers may be useful.
Roll consumer keys
Sets an expiration date on keys that have none and creates a new key for the consumer with the matching name or ID.
path Parameters
accountNameThe name of the account. You can find this in your Zuplo Portal under Settings > Project Information.
bucketNameThe name of the bucket. Zuplo automatically creates a bucket for your project. You can find it in youe Zuplo Portal under Settings > Project Information.
consumerNameThe name or ID of the consumer. Prefer the consumer's immutable id (for example csmr_brw0leTAVw478VFKD4F6OqVI); the name (for example zup-inc) remains accepted for compatibility. Within the bucket, a consumer whose name matches the value wins; otherwise the value is treated as a consumer ID. Consumer IDs are case-sensitive.
query Parameters
tagQuery by tag. Example usage is tag.account=foo, where account is the name of the tag property and foo is the value.
Roll consumer keys › Request Body
expiresOnWhen the item will expire.
Roll consumer keys › Responses
There is no content to send for this request, but the headers may be useful.